std::const_mem_fun_t< _Ret, _Tp > Class Template Reference
Utilities » Function Objects » Adaptors for pointers to members

`#include <stl_function.h>`

Inheritance diagram for std::const_mem_fun_t< _Ret, _Tp >:
[legend]

## Public Types

typedef const _Tp * | argument_type
typedef _Ret | result_type

## Public Member Functions

| const_mem_fun_t (_Ret(_Tp::*__pf)() const)
_Ret | operator() (const _Tp *__p) const

## Detailed Description

template<typename _Ret, typename _Tp>
class std::const_mem_fun_t< _Ret, _Tp >

One of the adaptors for member pointers.

Definition at line 1249 of file stl_function.h.

## Member Typedef Documentation

## argument_type

typedef const _Tp * std::unary_function< const _Tp * , _Ret >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef _Ret std::unary_function< const _Tp * , _Ret >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

## Constructor & Destructor Documentation

## const_mem_fun_t()

template<typename _Ret , typename _Tp >

std::const_mem_fun_t< _Ret, _Tp >::const_mem_fun_t | ( | _Ret(_Tp::*)() const | __pf | ) |

inline explicit

Definition at line 1253 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Ret , typename _Tp >

_Ret std::const_mem_fun_t< _Ret, _Tp >::operator() | ( | const _Tp * | __p | ) | const

inline

Definition at line 1257 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h